List managed balance refill policies
curl --request GET \
--url https://api.agg.market/execution/balance-refill-policies \
--header 'Authorization: Bearer <token>' \
--header 'x-app-id: <api-key>'import requests
url = "https://api.agg.market/execution/balance-refill-policies"
headers = {
"x-app-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-app-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.agg.market/execution/balance-refill-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"targetChainId": 123,
"targetTokenAddress": "<string>",
"targetTokenSymbol": "USDC",
"minimumRaw": "<string>",
"refillAmountRaw": "<string>",
"dailyCapRaw": "<string>",
"maxFeeRaw": "<string>",
"cooldownSeconds": 61,
"lastObservedRaw": "<string>",
"lastEvaluatedAt": "2023-11-07T05:31:56Z",
"nextEligibleAt": "2023-11-07T05:31:56Z",
"consentedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"latestAttempt": {
"id": "<string>",
"policyId": "<string>",
"triggerBalanceRaw": "<string>",
"requestedDeliveryRaw": "<string>",
"sourceAmountRaw": "<string>",
"completedAmountRaw": "<string>",
"sourceChainId": 123,
"targetChainId": 123,
"feeRaw": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}
]{
"message": "<string>"
}{
"message": "<string>"
}Execution
List managed balance refill policies
GET
/
execution
/
balance-refill-policies
List managed balance refill policies
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
Response
200
Available options:
USDC Pattern:
^[1-9][0-9]*$Pattern:
^[1-9][0-9]*$Pattern:
^[1-9][0-9]*$Pattern:
^[1-9][0-9]*$Available options:
enabled, paused Required range:
x >= 60Pattern:
^[0-9]+$Show child attributes
Show child attributes
⌘I